Changes between Version 7 and Version 8 of Building/Windows/Cygwin


Ignore:
Timestamp:
Nov 29, 2011 11:32:55 PM (2 years ago)
Author:
igloo
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • Building/Windows/Cygwin

    v7 v8  
    55 
    662. You must install enough Cygwin ''packages'' to support building GHC. This means selecting at least the following packages in the installation dialogue: 
    7    {{{git}}},  
    87   {{{openssh}}}, 
    98   {{{autoconf}}}, 
     
    1110   {{{gcc}}}, 
    1211   {{{make}}}. 
    13    To see these packages, click on the "View" button in the "Select Packages" stage of Cygwin's installation dialogue, until the view says "Full".  
     12   To see these packages, click on the "View" button in the "Select Packages" stage of Cygwin's installation dialogue, until the view says "Full". Note: Don't use the cygwin git (you'll get various failures, e.g. fork failures, with Windows Vista or Windows 7). Use http://code.google.com/p/msysgit/ instead. 
    1413 
    15143. Now set the following user environment variables: